# List BOM versions for a product (/docs/api-reference/products/ProductsController_listBomVersions)

`GET /api/factories/{factoryId}/products/{productId}/bom-versions`

Base URL: https://api.xentr.ai

Authentication: bearer token (`Authorization: Bearer <token>`).

## Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| `factoryId` | path | yes | string | Factory ID |
| `productId` | path | yes | string | Product ID |

## Responses

### 200: List of BOM versions